Parselv1.0.0
Webhooks

Create webhook subscription

Create a new webhook subscription.

POST
/webhooks

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Webhook subscription params

Response Body

application/json

application/json

curl -X POST "https://api.parsel.app/webhooks" \  -H "Content-Type: application/json" \  -d '{    "is_active": true,    "topic": "LABEL_TRACKING_UPDATED",    "url": "https://example.com/webhook"  }'
{
  "created_at": {},
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "is_active": true,
  "secret": "dG9wX3NlY3JldF9rZXlfZm9yX3BhcnNlbF93ZWJob29rc18yMDI0XzEyXzE5",
  "topic": "LABEL_TRACKING_UPDATED",
  "updated_at": {},
  "url": "https://example.com/webhook"
}
{
  "errors": {
    "message": "The request could not be processed",
    "reasons": [
      {
        "carrier": "UniUni",
        "message": "Zip code not serviced."
      }
    ],
    "status": "Unprocessable Entity"
  }
}